Bug 152223 - With FC3 server/router, DNS resolution works fine, http requests are sent, and nothing is ever received. With Fedora Core 3 this site is inaccessable. When I connect my laptop (windows xp) to the cable modem directly, I can access the site perfectly.
With FC3 server/router, DNS resolution works fine, http requests are sent, an...
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Depends On:
  Show dependency treegraph
Reported: 2005-03-26 11:52 EST by Jason Harvey
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-08-28 10:21:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jason Harvey 2005-03-26 11:52:52 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.7.6) Gecko/20050317 Firefox/1.0.2

Description of problem:
I can use lynx, wget, konqueror, firefox, etc with the same results.  FC3 will not allow access to this site.  Using ethereal, I can see syn packets being sent, I can see dns resolutions taking place, but I never see any awk packets from the site or anything else from the site for that matter.  It's as if there's some rogue code in the networking components that keep this site (and possibly others) from being accessed.

this problem is based in the FC3 server/router because no computers connected to the internal network (windows or otherwise) can access the site either.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Load any web browser in Fedora Core 3
2.Have it attempt to connect to http://www.anime-empire.net
3.Timeout will occure or an error stating "document contains no data"

Expected Results:  Should have loaded a flash enabled site.

Additional info:

This problem has existed since I installed FC3 and updated it to all current releases of installed components as of Jan. 1 2005.  I am currently running all current updates as they come out, hoping that the problem will eventually be resolved in an update.

The only workaround is to use vBrowser plugin for Firefox (or other free proxy) and get another server to download the data and then send it from another route/ip
Comment 1 Sitsofe Wheeler 2005-03-27 11:27:00 EST
I supsect this is because some where upstream of you towards a transparent proxy
there is a broken router. First up does visiting
Next does turning tcp scaling off by doing (as root):
echo 0 > /proc/sys/net/ipv4/tcp_default_win_scale
Then visting http sites help?
Comment 2 Jason Harvey 2005-03-27 14:06:53 EST
I can access seemingly ALL other sites without fail.  even other stealth sites.
 just not this one. MSN, google, yahoo, all major sites... even other anime
sites... just not the one

as for the echo statement...
[root@serving ~]# echo 0 > /proc/sys/net/ipv4/tcp_default_win_scale
-bash: /proc/sys/net/ipv4/tcp_default_win_scale: No such file or directory

it won't let that be created. even by root.
Comment 3 Sitsofe Wheeler 2005-03-28 17:31:56 EST
My mistake. That should have been /proc/sys/net/ipv4/tcp_window_scaling
Comment 4 Jason Harvey 2005-03-28 23:56:08 EST
It's had no affect... do I need to reboot the server or just restart network
services for it to have an affect?
Comment 5 Sitsofe Wheeler 2005-03-31 02:54:58 EST
I think the effect would have been immediately applied to new connections. At
worst you would have to just restart the network interfaces.

I guess you can try doing traceroute/tracepath and see if your packets are
getting  just as far (alas they do not appear to get all the way for me but
perhaps your are going missing even earlier).
Comment 6 Jason Harvey 2005-03-31 08:53:24 EST
restarted network and no difference still

my traceroutes disappear after the server's ISP I think... hop 9 at 
dist-vlan31.dsr3-2.dllstx3.theplanet.com []is the last hop I can hit

I have discovered that anime-empire's webserver is running in stealth mode (not
allowing ping/traceroute) which makes no difference since my best friend's
server is running in stealth mode as well and I have no problem accessing his site.
Comment 7 Matthew Miller 2006-07-10 18:51:55 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 8 Matěj Cepl 2007-07-18 13:22:56 EDT
Distribution against which this bug was reported is no longer supported; could
you please reproduce this with the updated version of the currently supported
distribution (Fedora Core 6, or Fedora 7, or Rawhide)? If this issue turns out
to still be reproducible, please let us know in this bug report.  If after a
month's time we have not heard back from you, we will have to close this bug as

Setting status to NEEDINFO, and awaiting information from the reporter.

Thanks in advance.
Comment 9 Matěj Cepl 2007-08-28 10:21:37 EDT
No information requested was provided, so I close this bug as INSUFFICIENT_DATA.
Reporter, if you could, please, reopen with additional information.

Note You need to log in before you can comment on or make changes to this bug.